<?php

/*----------------------------------------------------------------------------------|  simontech.me  |----/


				Award Manager - Public Edition 


/-------------------------------------------------------------------------------------------------------/





	@version		1.1.0


	@build			9th July, 2019


	@created		19th April, 2019


	@package		Award Manager


	@subpackage		award_manager.php


	@author			SimonTech <https://simontech.me>	


	@copyright		Copyright (C) 2019 SimonTech Development. All Rights Reserved


	@license		GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html


  ____  _____  _____  __  __  __      __       ___  _____  __  __  ____  _____  _  _  ____  _  _  ____ 


 (_  _)(  _  )(  _  )(  \/  )(  )    /__\     / __)(  _  )(  \/  )(  _ \(  _  )( \( )( ___)( \( )(_  _)


.-_)(   )(_)(  )(_)(  )    (  )(__  /(__)\   ( (__  )(_)(  )    (  )___/ )(_)(  )  (  )__)  )  (   )(  


\____) (_____)(_____)(_/\/\_)(____)(__)(__)   \___)(_____)(_/\/\_)(__)  (_____)(_)\_)(____)(_)\_) (__) 





/------------------------------------------------------------------------------------------------------*/





// No direct access to this file


defined('_JEXEC') or die('Restricted access');





/**


 * Award_manager Model


 */


class Award_managerModelAward_manager extends JModelList


{


	public function getIcons()


	{


		// load user for access menus


		$user = JFactory::getUser();


		// reset icon array


		$icons  = array();


		// view groups array


		$viewGroups = array(


			'main' => array('png.nominee.add', 'png.nominees')


		);

		// view access array

		$viewAccess = array(

			'nominee.create' => 'nominee.create',

			'nominees.access' => 'nominee.access',

			'nominee.access' => 'nominee.access',

			'nominees.submenu' => 'nominee.submenu',

			'nominees.dashboard_list' => 'nominee.dashboard_list',

			'nominee.dashboard_add' => 'nominee.dashboard_add');


		// loop over the $views


		foreach($viewGroups as $group => $views)


		{


			$i = 0;


			if (Award_managerHelper::checkArray($views))


			{


				foreach($views as $view)


				{


					$add = false;


					// external views (links)


					if (strpos($view,'||') !== false)


					{


						$dwd = explode('||', $view);


						if (count($dwd) == 3)


						{


							list($type, $name, $url) = $dwd;


							$viewName 	= $name;


							$alt 		= $name;


							$url 		= $url;


							$image 		= $name.'.'.$type;


							$name 		= 'COM_AWARD_MANAGER_DASHBOARD_'.Award_managerHelper::safeString($name,'U');


						}


					}


					// internal views


					elseif (strpos($view,'.') !== false)


					{


						$dwd = explode('.', $view);


						if (count($dwd) == 3)


						{


							list($type, $name, $action) = $dwd;


						}


						elseif (count($dwd) == 2)


						{


							list($type, $name) = $dwd;


							$action = false;


						}


						if ($action)


						{


							$viewName = $name;


							switch($action)


							{


								case 'add':


									$url 	= 'index.php?option=com_award_manager&view='.$name.'&layout=edit';


									$image 	= $name.'_'.$action.'.'.$type;


									$alt 	= $name.'&nbsp;'.$action;


									$name	= 'COM_AWARD_MANAGER_DASHBOARD_'.Award_managerHelper::safeString($name,'U').'_ADD';


									$add	= true;


								break;


								default:


									$url 	= 'index.php?option=com_categories&view=categories&extension=com_award_manager.'.$name;


									$image 	= $name.'_'.$action.'.'.$type;


									$alt 	= $name.'&nbsp;'.$action;


									$name	= 'COM_AWARD_MANAGER_DASHBOARD_'.Award_managerHelper::safeString($name,'U').'_'.Award_managerHelper::safeString($action,'U');


								break;


							}


						}


						else


						{


							$viewName 	= $name;


							$alt 		= $name;


							$url 		= 'index.php?option=com_award_manager&view='.$name;


							$image 		= $name.'.'.$type;


							$name 		= 'COM_AWARD_MANAGER_DASHBOARD_'.Award_managerHelper::safeString($name,'U');


							$hover		= false;


						}


					}


					else


					{


						$viewName 	= $view;


						$alt 		= $view;


						$url 		= 'index.php?option=com_award_manager&view='.$view;


						$image 		= $view.'.png';


						$name 		= ucwords($view).'<br /><br />';


						$hover		= false;


					}


					// first make sure the view access is set


					if (Award_managerHelper::checkArray($viewAccess))


					{


						// setup some defaults


						$dashboard_add = false;


						$dashboard_list = false;


						$accessTo = '';


						$accessAdd = '';


						// acces checking start


						$accessCreate = (isset($viewAccess[$viewName.'.create'])) ? Award_managerHelper::checkString($viewAccess[$viewName.'.create']):false;


						$accessAccess = (isset($viewAccess[$viewName.'.access'])) ? Award_managerHelper::checkString($viewAccess[$viewName.'.access']):false;


						// set main controllers


						$accessDashboard_add = (isset($viewAccess[$viewName.'.dashboard_add'])) ? Award_managerHelper::checkString($viewAccess[$viewName.'.dashboard_add']):false;


						$accessDashboard_list = (isset($viewAccess[$viewName.'.dashboard_list'])) ? Award_managerHelper::checkString($viewAccess[$viewName.'.dashboard_list']):false;


						// check for adding access


						if ($add && $accessCreate)


						{


							$accessAdd = $viewAccess[$viewName.'.create'];


						}


						elseif ($add)


						{


							$accessAdd = 'core.create';


						}


						// check if acces to view is set


						if ($accessAccess)


						{


							$accessTo = $viewAccess[$viewName.'.access'];


						}


						// set main access controllers


						if ($accessDashboard_add)


						{


							$dashboard_add	= $user->authorise($viewAccess[$viewName.'.dashboard_add'], 'com_award_manager');


						}


						if ($accessDashboard_list)


						{


							$dashboard_list = $user->authorise($viewAccess[$viewName.'.dashboard_list'], 'com_award_manager');


						}


						if (Award_managerHelper::checkString($accessAdd) && Award_managerHelper::checkString($accessTo))


						{


							// check access


							if($user->authorise($accessAdd, 'com_award_manager') && $user->authorise($accessTo, 'com_award_manager') && $dashboard_add)


							{


								$icons[$group][$i]			= new StdClass;


								$icons[$group][$i]->url 	= $url;


								$icons[$group][$i]->name 	= $name;


								$icons[$group][$i]->image 	= $image;


								$icons[$group][$i]->alt 	= $alt;


							}


						}


						elseif (Award_managerHelper::checkString($accessTo))


						{


							// check access


							if($user->authorise($accessTo, 'com_award_manager') && $dashboard_list)


							{


								$icons[$group][$i]			= new StdClass;


								$icons[$group][$i]->url 	= $url;


								$icons[$group][$i]->name 	= $name;


								$icons[$group][$i]->image 	= $image;


								$icons[$group][$i]->alt 	= $alt;


							}


						}


						elseif (Award_managerHelper::checkString($accessAdd))


						{


							// check access


							if($user->authorise($accessAdd, 'com_award_manager') && $dashboard_add)


							{


								$icons[$group][$i]			= new StdClass;


								$icons[$group][$i]->url 	= $url;


								$icons[$group][$i]->name 	= $name;


								$icons[$group][$i]->image 	= $image;


								$icons[$group][$i]->alt 	= $alt;


							}


						}


						else


						{


							$icons[$group][$i]			= new StdClass;


							$icons[$group][$i]->url 	= $url;


							$icons[$group][$i]->name 	= $name;


							$icons[$group][$i]->image 	= $image;


							$icons[$group][$i]->alt 	= $alt;


						}


					}


					else


					{


						$icons[$group][$i]			= new StdClass;


						$icons[$group][$i]->url 	= $url;


						$icons[$group][$i]->name 	= $name;


						$icons[$group][$i]->image 	= $image;


						$icons[$group][$i]->alt 	= $alt;


					}


					$i++;


				}


			}


			else


			{


					$icons[$group][$i] = false;


			}


		}


		return $icons;


	}


}


